
<!doctype html>
<html>

	<head>
		<meta charset=utf-8>
		<title>jplayer实现歌词同步的JS音乐播放器效果</title>
		<meta http-equiv="Cache-Control" content="no-cache">
		<meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.4">
		<meta name="MobileOptimized" content="240">
		<link href="css/blue.css" rel="stylesheet" type="text/css" />
		<script type="text/javascript" src="/js/jquery-1.9.0.min.js"></script>
		<script type="text/javascript" src="js/jquery.jplayer.js"></script>
		<script type="text/javascript" src="js/lrc.js"></script>
		<style type="text/css">
			* {
				margin: 0;
				padding: 0;
				outline: none;
			}
			
			ul,
			ol,
			dl {
				list-style: none;
			}
			
			.music_box {
				margin: 50px auto;
				width: 422px;
			}
			
			.content {
				width: 402px;
				height: 200px;
				overflow: hidden;
				padding: 10px;
				background: #ccc;
			}
			
			#lrc_list {
				margin: 10px auto;
				background: #ccc;
			}
			
			#lrc_list li {
				font: normal 14px/2.1 'microsoft yahei';
				text-align: center;
			}
			
			#lrc_list li.hover {
				color: red;
				font-weight: bold;
			}
		</style>
		<script>
			//<![CDATA[
			$(document).ready(function() {
				$("#jquery_jplayer_1").jPlayer({
					ready: function(event) {
						$(this).jPlayer("setMedia", {
							mp3: "a.mp3" //mp3的播放地址
						});
					},
					timeupdate: function(event) {
						if(event.jPlayer.status.currentTime == 0) {
							time = "";
						} else {
							time = event.jPlayer.status.currentTime;
						}
					},
					play: function(event) {

						//点击开始方法调用lrc。start歌词方法 返回时间time
						$.lrc.start($('#lrc_content').val(), function() {
							return time;
						});
					},
					ended: function(event) {
						$("#lrc_list").removeAttr("style").html("<li>歌曲播放完毕！</li>");
					},
					swfPath: "/js", //存放jplayer.swf的决定路径
					solution: "html, flash", //支持的页面
					supplied: "mp3", //支持的音频的格式
					wmode: "window"
				});
			});
			//]]>
		</script>
	</head>

	<body>
		<textarea id="lrc_content" name="textfield" cols="70" rows="10" style="display:none;"> 
[00:01.68]Sugar
[00:03.45]演唱：Maroon 5
[00:05.56]
[00:09.08]I'm hurtin baby, I'm broken down
[00:12.78]I need your lovin, lovin I need it now
[00:16.97]When I'm without ya, I'm somethin weak
[00:21.10]Ya got me beggin beggin, I'm on my knees
[00:24.44]
[00:25.21]I don't wanna be needin your love
[00:26.98]I just wanna be deep in your love
[00:28.86]And it's killin me when you're away (ohh baby)
[00:32.17]Cause I really don't care where you are
[00:35.52]I just wanna be there where you are
[00:36.88]And I gotta get one little taste
[00:39.06]
[00:39.94]Your sugar yes please won't you come and put it down on me
[00:47.90]I'm right here cause I need little love a little sympathy
[00:56.01]Ya you show me good lovin make it alright
[01:00.39]Need a little sweetness in my life
[01:03.96]Your sugar yes please won't you come and put it down on me
[01:11.05]
[01:12.96]My broken pieces you pick them up
[01:16.84]Don't leave me hangin hangin come give me some
[01:20.77]When I'm without ya so insecure
[01:24.83]You are the one thing one thing I'm livin for
[01:28.33]
[01:29.12]I don't wanna be needin your love
[01:31.24]I just wanna be deep in your love
[01:32.87]And it's killin me when you're away (ohh baby)
[01:36.13]Cause I really don't care where you are
[01:38.64]I just wanna be there where you are
[01:40.74]And I gotta get one little taste
[01:43.00]
[01:43.99]Your sugar yes please won't you come and put it down on me
[01:51.94]I'm right here cause I need little love a little sympathy
[02:00.04]Ya you show me good lovin make it alright
[02:04.61]Need a little sweetness in my life
[02:07.88]Your sugar yes please won't you come and pour it down on me
[02:16.28]
[02:17.07]I want that red velvet I want that sugar sweet
[02:20.83]Don't let nobody touch it unless that somebody's me
[02:24.86]I gotta be your man there ain't no other way
[02:28.78]Cause girl you're hotter than a southern California day
[02:33.08]I don't wanna play no games you don't gotta be afraid
[02:36.81]Don't give me all that shy shit no make up on that's my (sugar)
[02:40.98]
[02:42.36]Sugar yes please won't you come and put it down on me
[02:47.91]I'm right here cause I need little love a little sympathy
[02:56.01]Ya you show me good lovin make it alright
[03:00.36]Need a little sweetness in my life
[03:04.03]Your sugar yes please won't you come and put it down on me
[03:12.03]Sugar yes please won't you come and put it down on me
[03:20.31]I'm right here cause I need little love a little sympathy
[03:28.58]Ya you show me good lovin make it alright
[03:32.27]Need a little sweetness in my life
[03:35.87]Your sugar yes please won't you come and put it down on me
[03:43.58]
</textarea>
		<div class="music_box">
			<div id="jquery_jplayer_1" class="jp-jplayer"></div>
			<div id="jp_container_1" class="jp-audio">
				<div class="jp-type-single">
					<div class="jp-gui jp-interface">
						<ul class="jp-controls">
							<li>
								<a href="javascript:;" class="jp-play" tabindex="1">play</a>
							</li>
							<li>
								<a href="javascript:;" class="jp-pause" tabindex="1">pause</a>
							</li>
							<li>
								<a href="javascript:;" class="jp-stop" tabindex="1">stop</a>
							</li>
							<li>
								<a href="javascript:;" class="jp-mute" tabindex="1" title="mute">mute</a>
							</li>
							<li>
								<a href="javascript:;" class="jp-unmute" tabindex="1" title="unmute">unmute</a>
							</li>
							<li>
								<a href="javascript:;" class="jp-volume-max" tabindex="1" title="max volume">max volume</a>
							</li>
						</ul>
						<div class="jp-progress">
							<div class="jp-seek-bar">
								<div class="jp-play-bar"></div>
							</div>
						</div>
						<div class="jp-volume-bar">
							<div class="jp-volume-bar-value"></div>
						</div>
						<div class="jp-time-holder">
							<div class="jp-current-time"></div>
							<div class="jp-duration"></div>
							<ul class="jp-toggles">
								<li>
									<a href="javascript:;" class="jp-repeat" tabindex="1" title="repeat">repeat</a>
								</li>
								<li>
									<a href="javascript:;" class="jp-repeat-off" tabindex="1" title="repeat off">repeat off</a>
								</li>
							</ul>
						</div>
					</div>
					<div class="jp-no-solution"> <span>Update Required</span> To play the media you will need to either update your browser to a recent version or update your
						<a href="http://get.adobe.com/flashplayer/" target="_blank">Flash plugin</a>. </div>
				</div>
			</div>
			<div class="content">
				<ul id="lrc_list">
					<li>点击开始播放……</li>
				</ul>
			</div>
		</div>
	</body>

</html>